/*
 * Copyright 2006-2007 Queplix Corp.
 *
 * Licensed under the Queplix Public License, Version 1.1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.queplix.com/solutions/commercial-open-source/queplix-public-license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 *
 */

package com.queplix.core.modules.jeo.gen;

import com.queplix.core.modules.jeo.JEObject;

import java.util.Date;

/**
 * Access lock JEO interface.
 *
 * @author [SKJ] Svetlin Jekov
 * @version $Revision$ $Date$
 */
public interface LockObject extends JEObject {

    Long getPkey();

    String getTable_name();

    String getTab_id();

    String getRecord_id();

    String getRecord_id2();

    String getRecord_id3();

    String getRecord_id4();

    String getSession_id();

    String getFocus_id();

    Long getFocus_instance();

    Long getUser_id();

    Integer getUser_type_id();

    Date getCreated();

}
